--
-- Copyright (c) 2019, 2020, Oracle and/or its affiliates. All rights reserved.
--
-- oci on command line SET PERSIST_ONLY admin_address = 100.101.77.83;
-- oci on command line, not in oci_config SET PERSIST_ONLY admin_port = 7306;
-- oci on command line, not in oci_config SET PERSIST_ONLY bind_address = 172.27.1.231/mysql,127.0.0.1,100.101.77.83
-- oci on command line, not in oci_config SET PERSIST_ONLY binlog_checksum = NONE
SET PERSIST_ONLY binlog_expire_logs_seconds = 3600;
-- oci on command line, not in oci_config SET PERSIST_ONLY binlog_row_event_max_size = 16384;
SET PERSIST_ONLY binlog_row_value_options = 'PARTIAL_JSON';
SET PERSIST_ONLY binlog_rows_query_log_events = 'ON';
SET PERSIST_ONLY caching_sha2_password_private_key_path = '/db/metadata/private_key.pem';
SET PERSIST_ONLY caching_sha2_password_public_key_path = '/db/metadata/public_key.pem';
SET PERSIST_ONLY connection_control_max_connection_delay = 10000; -- not set in OCI conf
-- not set in OCI conf, in oci_config SET PERSIST_ONLY core_file = 'ON';
-- oci on command line SET PERSIST_ONLY datadir = '/db/data';
-- maybe noise ! oci on command line, not in OCI_config SET PERSIST_ONLY default_authentication_plugin = mysql_native_password;
SET PERSIST_ONLY disabled_storage_engines = 'MyISAM, MRG_MYISAM, FEDERATED, CSV, ARCHIVE, BLACKHOLE, NDB, MEMORY';
SET PERSIST_ONLY enforce_gtid_consistency = 'ON';
SET PERSIST_ONLY gtid_mode = 'ON';
SET PERSIST_ONLY innodb_adaptive_hash_index = 'OFF';
SET PERSIST_ONLY innodb_buffer_pool_in_core_file = 'OFF';
SET PERSIST_ONLY innodb_change_buffering = 'none';
-- oci on command line SET PERSIST_ONLY innodb_data_home_dir = '/db/data/';
SET PERSIST_ONLY innodb_flush_method = 'O_DIRECT';
SET PERSIST_ONLY innodb_io_capacity_max = 9000;
SET PERSIST_ONLY innodb_io_capacity = 7000; -- set to 2000 in OCI conf
SET PERSIST_ONLY innodb_log_buffer_size = 67108864;
SET PERSIST_ONLY innodb_log_file_size = 1073741824; -- 1G
-- oci on command line SET PERSIST_ONLY innodb_log_group_home_dir = '/log/redo'; -- oci_config has /db/redo
SET PERSIST_ONLY innodb_max_purge_lag = 1000000;
SET PERSIST_ONLY innodb_max_purge_lag_delay = 300000;
SET PERSIST_ONLY innodb_monitor_enable = 'all'; -- oci_config has %
SET PERSIST_ONLY innodb_numa_interleave = 'ON';
SET PERSIST_ONLY innodb_temp_data_file_path = '../tmp/ibtmp1:12M:autoextend'; -- oci_config has /tmp/ibtmp1:12M:autoextend
-- oci on command line, not in oci_config SET PERSIST_ONLY innodb_tmpdir=/db/tmp;
SET PERSIST_ONLY innodb_undo_log_truncate = 'OFF';
SET PERSIST_ONLY lock_wait_timeout = 86400;
SET PERSIST_ONLY log_bin_trust_function_creators = 'ON';
-- oci on command line SET PERSIST_ONLY log_error = '/db/log/error.log';
SET PERSIST_ONLY log_error_services = 'log_filter_internal; log_sink_json';
SET PERSIST_ONLY log_output = 'TABLE';
SET PERSIST_ONLY log_statements_unsafe_for_binlog = 'OFF';
SET PERSIST_ONLY max_binlog_cache_size = 4294967296; -- 4G
-- oci on command line SET PERSIST_ONLY mysqlx_bind_address = 172.27.1.231/mysql;
SET PERSIST_ONLY mysqlx_max_connections = 65535;
SET PERSIST_ONLY mysqlx_ssl_ca = '/db/metadata/ca.pem';
SET PERSIST_ONLY mysqlx_ssl_cert = '/db/metadata/server-cert.pem';
SET PERSIST_ONLY mysqlx_ssl_key = '/db/metadata/server-key.pem';
SET PERSIST_ONLY mysqlx_socket = '/db/metadata/mysqlx.sock';
-- oci on command line, not in oci_config SET PERSIST_ONLY mysqlx_port = 33060
SET PERSIST_ONLY open_files_limit = 20000;
-- oci on command line SET PERSIST_ONLY partial_revokes = 'ON';
-- not in oci, in oci_config SET PERSIST_ONLY performance_schema_max_statement_stack = 1;
-- oci on command line SET PERSIST_ONLY persist_only_admin_x509_subject = /CN=MySQLaaS_Client;
SET PERSIST_ONLY pid_file = '/db/metadata/mysql.pid';
SET PERSIST_ONLY relay_log = '/db/replication/relay-log';
-- not in oci_config, in oci SET PERSIST_ONLY relay_log_index = '/db/replication/relay-log.index';
SET PERSIST_ONLY secure_file_priv = 'NULL';
SET PERSIST_ONLY sha256_password_private_key_path = '/db/metadata/private_key.pem';
SET PERSIST_ONLY sha256_password_public_key_path = '/db/metadata/public_key.pem';
SET PERSIST_ONLY slave_parallel_type = 'LOGICAL_CLOCK';
SET PERSIST_ONLY slave_parallel_workers = 4;
SET PERSIST_ONLY slave_preserve_commit_order = 'ON';
SET PERSIST_ONLY socket = '/db/metadata/mysql.sock';
SET PERSIST_ONLY ssl_ca = '/db/metadata/ca.pem';
SET PERSIST_ONLY ssl_cert = '/db/metadata/server-cert.pem';
SET PERSIST_ONLY ssl_key = '/db/metadata/server-key.pem';
-- oci on command line SET PERSIST_ONLY tmpdir = '/db/tmp'; -- oci_config has '/tmp';
-- not currently set in oci SET PERSIST_ONLY time_zone = 'UTC';
-- not currently set in oci SET PERSIST_ONLY innodb_ft_result_cache_limit = 33554432;
-- not currently set in oci SET PERSIST_ONLY mandatory_roles = 'public';
-- not currently set in oci SET PERSIST_ONLY sql_require_primary_key = 'ON';
-- oci on command line, not in oci_config SET PERSIST_ONLY port = 3306;
-- oci on command line, not in oci_config SET PERSIST_ONLY report_port = 7306;
SET PERSIST local_infile = ON;
